<?php
include_once("c_esmo_setting_groups.php");
class c_page_cab_esmo_setting_group_of_disease extends c_page_cab_esmo_setting_groups
{
 public $h1='Группа по болезни' ;
 public $rec_group ;
 public $page_type='window' ;

 function select_obj_info()
 { if (_CUR_ID)
   { $this->rec_group=_IL('IL_group_medic')->recs[_CUR_ID] ;
     if ($this->rec_group['pkey'])
     {   $this->rec_group['__href']='/cab/esmo_setting/group_of_disease/'.$this->rec_group['id'].'/' ;
         if ($this->rec_group['ext_info']) $this->rec_group['_ext_info']=unserialize($this->rec_group['ext_info']) ;
         $this->h1='Группа по болезни "'.$this->rec_group['obj_name'].'"' ;
     }
     else $this->result=404 ;
   }
 }

 function menu_config()
 { //$this->second_menu['/cab/esmo_setting/groups/']=array('title'=>'Группы') ;
   if ($this->rec_group['pkey'])
   {   $this->menu[$this->rec_group['__href']]=array('title'=>'Состав группы','_class'=>'fa fa-user-md') ;
//       $this->menu[$this->rec_group['__href'].'edit/']=array('title'=>'Добавление в группу','_class'=>'fa fa-user-md') ;
       $this->menu[$this->rec_group['__href'].'rules/']=array('title'=>'Правила','_class'=>'fa fa-user-md') ;
       $this->menu[$this->rec_group['__href'].'db/']=array('title'=>'Исходые данные') ;
   }
 }

 function block_main()
 {   $this->page_title() ;

     include_once(_DIR_EXT.'/esmo_setting/report_personals_to_medic_group.php') ;
     $report_obj=new report_personals_to_medic_group() ;
     $report_obj->no_view_title=1 ;
     $report_obj->setting() ;
     $report_obj->medic_group_id=$this->rec_group['id'] ;
     $report_obj->view() ;
 }

}



?>
